#!/bin/sh -e

make

for bin in iwconfig iwlist iwpriv iwspy iwgetid iwevent ifrename
do
  install -Dm755 $bin "$1/usr/bin/$bin"
done

install -Dm755 libiw.so.29 "$1/usr/lib/libiw.so.29"
ln -s "$1/usr/lib/libiw.so.29" "$1/usr/lib/libiw.so"

install -Dm755 iwlib.h     "$1/usr/include/iwlib.h"

install -Dm755 wireless.h  "$1/usr/include/wireless.h"

install -Dm755 wireless.7  "$1/usr/share/man/man7/wireless.7"
install -Dm755 iftab.5     "$1/usr/share/man/man5/iftab.5"

for man in iwconfig.8 iwlist.8 iwpriv.8 iwspy.8 iwgetid.8 iwevent.8 ifrename.8
do
  install -Dm755 $man "$1/usr/share/man/man8/$man"
done
